# fortios_log_syslogd2_setting – Global settings for remote syslog server in Fortinet’s FortiOS and FortiGate

New in version 2.8.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module is able to configure a FortiGate or FortiOS (FOS) device by allowing the user to set and modify log_syslogd2 feature and setting category. Examples include all parameters and values need to be adjusted to datasources before usage. Tested with FOS v6.0.5

## Requirements

The below requirements are needed on the host that executes this module.

- fortiosapi>=0.9.8

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
host string |  | FortiOS or FortiGate IP address.

https
boolean

Choices:
- no
- yes ←

Indicates if the requests towards FortiGate must use HTTPS protocol.

log_syslogd2_setting dictionary | Default: null | Global settings for remote syslog server.
| certificate string |  | Certificate used to communicate with Syslog server. Source certificate.local.name.
| custom_field_name list |  | Custom field name for CEF format logging.
|  | custom string |  | Field custom name.
|  | id integer / required |  | Entry ID.
|  | name string |  | Field name.

enc_algorithm
string

Choices:
- high-medium
- high
- low
- disable

Enable/disable reliable syslogging with TLS encryption.

facility
string

Choices:
- kernel
- user
- mail
- daemon
- auth
- syslog
- lpr
- news
- uucp
- cron
- authpriv
- ftp
- ntp
- audit
- alert
- clock
- local0
- local1
- local2
- local3
- local4
- local5
- local6
- local7

Remote syslog facility.

format
string

Choices:
- default
- csv
- cef

Log format.

mode
string

Choices:
- udp
- legacy-reliable
- reliable

Remote syslog logging over UDP/Reliable TCP.

| port integer |  | Server listen port.
| server string |  | Address of remote syslog server.
| source_ip string |  | Source IP address of syslog.

ssl_min_proto_version
string

Choices:
- default
- SSLv3
- TLSv1
- TLSv1-1
- TLSv1-2

Minimum supported protocol version for SSL/TLS connections .

status
string

Choices:
- enable
- disable

Enable/disable remote syslog logging.

password string | Default: "" | FortiOS or FortiGate password.

ssl_verify
boolean
added in 2.9

Choices:
- no
- yes ←

Ensures FortiGate certificate must be verified by a proper CA.

username string |  | FortiOS or FortiGate username.
vdom string | Default: "root" | Virtual domain, among those defined previously. A vdom is a virtual instance of the FortiGate that can be configured and used as a different unit.

## Notes

Note

- Requires fortiosapi library developed by Fortinet

- Run as a local_action in your playbook

## Examples

    - hosts: localhost
      vars:
       host: "192.168.122.40"
       username: "admin"
       password: ""
       vdom: "root"
       ssl_verify: "False"
      tasks:
      - name: Global settings for remote syslog server.
        fortios_log_syslogd2_setting:
          host:  "{{ host }}"
          username: "{{ username }}"
          password: "{{ password }}"
          vdom:  "{{ vdom }}"
          https: "False"
          log_syslogd2_setting:
            certificate: "<your_own_value> (source certificate.local.name)"
            custom_field_name:
             -
                custom: "<your_own_value>"
                id:  "6"
                name: "default_name_7"
            enc_algorithm: "high-medium"
            facility: "kernel"
            format: "default"
            mode: "udp"
            port: "12"
            server: "192.168.100.40"
            source_ip: "84.230.14.43"
            ssl_min_proto_version: "default"
            status: "enable"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
build string | always | Build number of the fortigate image Sample: 1547
http_method string | always | Last method used to provision the content into FortiGate Sample: PUT
http_status string | always | Last result given by FortiGate on last operation applied Sample: 200
mkey string | success | Master key (id) used in the last call to FortiGate Sample: id
name string | always | Name of the table used to fulfill the request Sample: urlfilter
path string | always | Path of the table used to fulfill the request Sample: webfilter
revision string | always | Internal revision number Sample: 17.0.2.10658
serial string | always | Serial number of the unit Sample: FGVMEVYYQT3AB5352
status string | always | Indication of the operation's result Sample: success
vdom string | always | Virtual domain used Sample: root
version string | always | Version of the FortiGate Sample: v5.6.3

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Miguel Angel Munoz (@mamunozgonzalez)

- Nicolas Thomas (@thomnico)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.